import request from '@/utils/request'

// 查询维保记录列表
export function listInformation(query) {
  return request({
    url: '/abuwx/information/list',
    method: 'get',
    params: query
  })
}

// 查询维保记录详细
export function getInformation(id) {
  return request({
    url: '/abuwx/information/' + id,
    method: 'get'
  })
}

// 新增维保记录
export function addInformation(data) {
  return request({
    url: '/abuwx/information',
    method: 'post',
    data: data
  })
}

// 修改维保记录
export function updateInformation(data) {
  return request({
    url: '/abuwx/information',
    method: 'put',
    data: data
  })
}

// 删除维保记录
export function delInformation(id) {
  return request({
    url: '/abuwx/information/' + id,
    method: 'delete'
  })
}
